;;; Copyright (C) 1990  Alan M. Carroll
;;;
;;; This file is for use with Epoch, a modified version of GNU Emacs.
;;; Requires Epoch 3.2 or later.
;;;
;;; This code is distributed in the hope that it will be useful,
;;; bute WITHOUT ANY WARRANTY. No author or distributor accepts
;;; responsibility to anyone for the consequences of using this code
;;; or for whether it serves any particular purpose or works at all,
;;; unless explicitly stated in a written agreement.
;;;
;;; Everyone is granted permission to copy, modify and redistribute
;;; this code, but only under the conditions described in the
;;; GNU Emacs General Public License, except the original author nor his
;;; agents are bound by the License in their use of this code.
;;; (These special rights for the author in no way restrict the rights of
;;;  others given in the License or this prologue)
;;; A copy of this license is supposed to have been given to you along
;;; with Epoch so you can know your rights and responsibilities. 
;;; It should be in a file named COPYING.  Among other things, the
;;; copyright notice and this notice must be preserved on all copies. 
;;;
;;;
;;; Placement stuff for Epoch to put screens in useful places.
;;;
(defvar screen-x-delta 15 "Amount to move to put the next screen")
(defvar screen-y-delta 25 "Amount to move to put the next screen")
(defvar init-screen-x screen-x-delta "Location of the next screen")
(defvar init-screen-y screen-y-delta "Location of the next screen")
(defvar init-screen-height 33 "Height of screen in characters")
(defvar init-screen-width 80 "Width of screen in characters")
(defvar max-init-screen-x (elt (epoch::plane-size) 0))
;(defvar max-init-screen-x 640)		;for panning display
(defvar max-init-screen-y
  (- (elt (epoch::screen-information (minibuf-screen)) 1) 100)
)

(defun init-screen-geometry ()
  (prog1
    (concat
      (prin1-to-string init-screen-width)
      "x"
      (prin1-to-string init-screen-height)
      "+"
      (prin1-to-string init-screen-x)
      "+"
      (prin1-to-string init-screen-y)
    )
    (let
      (
	(x-size (* init-screen-width (elt (epoch::font) 1)))
	(y-size (* init-screen-height (elt (epoch::font) 2)))
      )
      (setq init-screen-x (mod (+ init-screen-x screen-x-delta)
	  (- max-init-screen-x x-size)
	)
      )
      (setq init-screen-y (mod (+ init-screen-y screen-y-delta)
	  (- max-init-screen-y y-size)
	)
      )
    )
  )
)
